at.chipkarte.client.ebs.soap

## Class RoeuAntragsdaten

- Object
- - at.chipkarte.client.ebs.soap.RoeuAntragsdaten

-     public class RoeuAntragsdaten
      extends Object

  Dient der Ein- und Ausgabe der spezifischen medizinischen Daten für einen ROEU-Antrag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoeuAntragsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBisherigeTherapie()` Bisherige Therapie.
    `IndikationMammographie` | `getIndikationMammographie()` Indikation Mammographie.
    `String` | `getIndikationstext()` Indikationstext.
    `void` | `setBisherigeTherapie(String bisherigeTherapie)`
    `void` | `setIndikationMammographie(IndikationMammographie indikationMammographie)`
    `void` | `setIndikationstext(String indikationstext)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoeuAntragsdaten

          public RoeuAntragsdaten()

  - ### Method Detail

    - #### getBisherigeTherapie

          public String getBisherigeTherapie()

      Bisherige Therapie.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        BisherigeTherapie.

    - #### setBisherigeTherapie

          public void setBisherigeTherapie(String bisherigeTherapie)

    - #### getIndikationMammographie

          public IndikationMammographie getIndikationMammographie()

      Indikation Mammographie. Siehe `IndikationMammographie`.
      Angabe: Bedingt. Muss angegeben werden wenn es sich um eine Aktuelle Erfassung (Verwendung der Funktion erfassenVerordnerAntrag) handelt, der Patient weiblich ist und mindestens eine Gewünschte Leistung mit einer Katalogleistung die eine Mammographie-Indikation zulässt (Indikationskennzeichen gleich "M") angegeben ist. Darf nicht angegeben werden, wenn nicht mindestens eine Gewünschte Leistung mit einer Katalogleistung die eine Mammographie-Indikation zulässt (Indikationskennzeichen gleich "M") angegeben ist.
      Returns:
        IndikationMammographie.

    - #### setIndikationMammographie

          public void setIndikationMammographie(IndikationMammographie indikationMammographie)

    - #### getIndikationstext

          public String getIndikationstext()

      Indikationstext. Für die Anzeige aufbereitete Indikationen.
      Angabe: Dient nur zur Ausgabe. Keine Angabe erlaubt.
      Format: 1000-stellig
      Returns:
        Indikationstext.

    - #### setIndikationstext

          public void setIndikationstext(String indikationstext)